package com.yeejoin.amos.safety.business.service;

import java.util.List;

import com.yeejoin.amos.safety.common.entity.Node3DVo;

/**
 * 
 * <pre>
 * 三维视图节点service
 * </pre>
 *
 * @author amos
 * @version $Id: INode3DVoService.java, v 0.1 2018年11月28日 下午6:07:59 amos Exp $
 */
public interface INode3DVoService extends IGenericManager<Node3DVo,String>
{
	
	/**
	 * 
	 * <pre>
	 * 根据节点类型类型查询视图节点
	 * </pre>
	 *
	 * @param type
	 * @return
	 */
	List<Node3DVo> findByType(String type);
	
	/**
	 * 
	 * <pre>
	 * 根据业务id和节点类型查询视图节点
	 * </pre>
	 *
	 * @param type
	 * @param oid
	 * @return
	 */
	List<Node3DVo> findByTypeAndOid(String type, String oid);
}
