package com.yeejoin.amos.safety.common.entity.dto;

import java.io.Serializable;

/**
 * 
 * <pre>
 * 节点配置信息
 * </pre>
 *
 * @author amos
 * @version $Id: NodeConfigDTO.java, v 0.1 2019年1月7日 上午9:43:34 amos Exp $
 */
public class NodeConfigDTO implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 6262473276965840710L;
	
	/**
	 * 是否室内（默认false，为室外）
	 */
	private Boolean isIndoor = false;
	/**
	 * 所属模型，例如floor_1’，‘floor_2’，‘floor_3’
	 */
	private String belongObjModel;
	
	public Boolean getIsIndoor()
	{
		return isIndoor;
	}
	public void setIsIndoor(Boolean isIndoor)
	{
		this.isIndoor = isIndoor;
	}
	public String getBelongObjModel()
	{
		return belongObjModel;
	}
	public void setBelongObjModel(String belongObjModel)
	{
		this.belongObjModel = belongObjModel;
	}

}
 