package com.yeejoin.amos.safety.common.entity.dto;

import java.io.Serializable;

/**
 * 
 * <pre>
 * 三维坐标点实体
 * </pre>
 *
 * @author amos
 * @version $Id: NodeCoordDTO.java, v 0.1 2018年12月4日 下午4:24:10 amos Exp $
 */
public class NodeCoordDTO implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 6262473276965840710L;
	
	/**
	 * 节点位置，包括x,y,z值
	 */
	private CoordDTO positionDTO;
	
	/**
	 * 节点位置，包括x,y,z值
	 */
	private CoordDTO rotationDTO;
	
	/**
	 * 节点位置，包括x,y,z值
	 */
	private CoordDTO scaleDTO;

	public CoordDTO getPositionDTO()
	{
		return positionDTO;
	}

	public void setPositionDTO(CoordDTO positionDTO)
	{
		this.positionDTO = positionDTO;
	}

	public CoordDTO getRotationDTO()
	{
		return rotationDTO;
	}

	public void setRotationDTO(CoordDTO rotationDTO)
	{
		this.rotationDTO = rotationDTO;
	}

	public CoordDTO getScaleDTO()
	{
		return scaleDTO;
	}

	public void setScaleDTO(CoordDTO scaleDTO)
	{
		this.scaleDTO = scaleDTO;
	}

}
 