package com.yeejoin.amos.safety.core.remote.service;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.yeejoin.amos.safety.business.vo.CommonResponse;

import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.util.MultiValueMap;

//巡检
@FeignClient(name = "${elecfire_converter_statton_patrol}",configuration=FeignConfiguration.class)
public interface AmosBankPatrol {


		    
		@RequestMapping(value = "/api/check/viewModule/initData", method = RequestMethod.GET)
		CommonResponse initViewNode();
	
	    
	    @RequestMapping(value = "/api/spc/check-detail", method = RequestMethod.POST)
	    CommonResponse getPatrolInfo( @RequestBody Map permissionType);
	    
	  
	    @RequestMapping(value = "/api/route/points", method = RequestMethod.POST )
		CommonResponse getPointsByRouteId(@RequestBody Map permissionType);
	   
	    

}
