//package com.yeejoin.amos.safety.core.remote.service;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.http.HttpEntity;
//import org.springframework.http.HttpHeaders;
//import org.springframework.http.HttpMethod;
//import org.springframework.http.MediaType;
//import org.springframework.stereotype.Service;
//import org.springframework.web.client.RestTemplate;
//
//import com.yeejoin.amos.op.core.common.response.CommonResponse;
//import com.yeejoin.amos.op.core.util.ApplicationConfig;
//import com.yeejoin.amos.op.core.util.Constants;
///**
// * 
// * <pre>
// * 巡检系统远程调用
// * </pre>
// *
// * @author amos
// * @version $Id: RemotePatrolServer.java, v 0.1 2018年12月5日 下午4:38:27 amos Exp $
// */
//@Service("remotePatrolServer")
//public class RemotePatrolServer
//{
//	@Autowired
//	private ApplicationConfig applicationConfig;
//	private final RestTemplate restTemplate;
//
//	public RemotePatrolServer()
//	{
//		this.restTemplate = new RestTemplate();
//	}
//
//	/**
//	 * 
//	 * <pre>
//	 * 初始化巡检系统巡检点状态、巡检人员数据
//	 * </pre>
//	 *
//	 * @return
//	 */
//	public Object initViewNode()
//	{
//		String url = applicationConfig.getParamValueStr("params.remotePatrolUrl");
//		HttpHeaders headers = new HttpHeaders();
//		MediaType type = MediaType
//				.parseMediaType("application/json; charset=UTF-8");
//		headers.setContentType(type);
//		headers.add("Accept", MediaType.APPLICATION_JSON.toString());
//		headers.add("X-From-Service", "true");
//		HttpEntity<String> formEntity = new HttpEntity<String>(headers);
//		CommonResponse commonResponse = (CommonResponse)restTemplate.exchange(url + "api/check/viewModule/initData",
//				HttpMethod.GET, formEntity, CommonResponse.class).getBody();
//		if (commonResponse != null && commonResponse.getResult().equals(Constants.RESULT_SUCCESS) )
//		{
//			return commonResponse.getDataList();
//		}
//		return null;
//	}
//	/**
//	 * 
//	 * <pre>
//	 * 初始化巡检系统巡检点状态、巡检人员数据
//	 * </pre>
//	 *
//	 * @return
//	 */
//	public Object getPatrolInfo(String patrolId, String token)
//	{
//		Map<String, Integer> map = new HashMap<String, Integer>();
//		map.put("pointID", Integer.valueOf(patrolId));
//		String url = applicationConfig.getParamValueStr("params.remotePatrolUrl");
//		HttpHeaders headers = new HttpHeaders();
//		MediaType type = MediaType
//				.parseMediaType("application/json; charset=UTF-8");
//		headers.setContentType(type);
//		headers.add("Accept", MediaType.APPLICATION_JSON.toString());
//		headers.add("X-Access-Token", token);
//		headers.add("X-From-Service", "true");
//		HttpEntity<Map<String, Integer>> formEntity = new HttpEntity<Map<String, Integer>>(map, headers);
//		CommonResponse commonResponse = (CommonResponse)restTemplate.exchange(url + "api/spc/check-detail",
//				HttpMethod.POST, formEntity, CommonResponse.class).getBody();
//		if (commonResponse != null && commonResponse.getResult().equals(Constants.RESULT_SUCCESS) )
//		{
//			return commonResponse.getDataList();
//		}
//		return null;
//	}
//	/**
//	 * 
//	 * <pre>
//	 * 根据线路Id查询巡检点信息
//	 * </pre>
//	 *
//	 * @param routeId
//	 * @return
//	 */
//	public Object getPointsByRouteId(List<String> routeIds, String token)
//	{
//		Map<String, List<String>> map = new HashMap<String, List<String>>();
//		map.put("routeIDs", routeIds);
//		String url = applicationConfig.getParamValueStr("params.remotePatrolUrl");
//		HttpHeaders headers = new HttpHeaders();
//		MediaType type = MediaType
//				.parseMediaType("application/json; charset=UTF-8");
//		headers.setContentType(type);
//		headers.add("Accept", MediaType.APPLICATION_JSON.toString());
//		headers.add("X-Access-Token", token);
//		headers.add("X-From-Service", "true");
//		HttpEntity<Map<String, List<String>>> formEntity = new HttpEntity<Map<String, List<String>>>(map, headers);
//		CommonResponse commonResponse = (CommonResponse)restTemplate.exchange(url + "api/route/points",
//				HttpMethod.POST, formEntity, CommonResponse.class).getBody();
//		if (commonResponse != null && commonResponse.getResult().equals(Constants.RESULT_SUCCESS) )
//		{
//			return commonResponse.getDataList();
//		}
//		return null;
//	}
//}