package com.yeejoin.amos.safety.business.dao.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.yeejoin.amos.safety.business.service.IBaseRepository;
import com.yeejoin.amos.safety.common.entity.Link3DVo;

/**
 * 
 * <pre>
 * 三维视图链路dao
 * </pre>
 *
 * @author amos
 * @version $Id: ILink3DVoRepository.java, v 0.1 2018年11月28日 下午6:11:06 amos Exp
 *          $
 */
@Repository
public interface ILink3DVoRepository extends IBaseRepository<Link3DVo, String>
{
	/**
	 * 
	 * <pre>
	 * 查询所有链路，包括path为null的数据
	 * </pre>
	 *
	 * @return
	 */
	@Query(value="select * from toip_biz_link3dvo where is_delete=0",nativeQuery=true)
	List<Link3DVo> findAllInPathNull();
}
