package com.yeejoin.amos.safety.business.service;

import java.util.List;

import com.yeejoin.amos.safety.common.entity.Link3DVo;

/**
 * 
 * <pre>
 * 三维视图链路service
 * </pre>
 *
 * @author amos
 * @version $Id: ILink3DVoService.java, v 0.1 2018年11月28日 下午6:11:28 amos Exp $
 */
public interface ILink3DVoService extends IGenericManager<Link3DVo,String>
{
	/**
	 * 
	 * <pre>
	 * 查询所有链路，包括path为null的数据
	 * </pre>
	 *
	 * @return
	 */
	List<Link3DVo> findAllInPathNull();
}
