package com.yeejoin.amos.safety.business.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.yeejoin.amos.safety.business.dao.repository.ILink3DVoRepository;
import com.yeejoin.amos.safety.business.service.ILink3DVoService;
import com.yeejoin.amos.safety.common.entity.Link3DVo;

/**
 * 
 * <pre>
 * 三维视图链路service实现
 * </pre>
 *
 * @author amos
 * @version $Id: Link3DVoServiceImpl.java, v 0.1 2018年11月28日 下午6:14:51 amos Exp
 *          $
 */
@Service
public class Link3DVoServiceImpl extends GenericManagerImpl<Link3DVo, String>
		implements ILink3DVoService
{

	ILink3DVoRepository link3DVoRepository;
	
	public Link3DVoServiceImpl(ILink3DVoRepository link3DVoRepository)
	{
		super(link3DVoRepository);
		this.link3DVoRepository = link3DVoRepository;
	}

	@Override
	public List<Link3DVo> findAllInPathNull()
	{
		return link3DVoRepository.findAllInPathNull();
	}

}