package com.yeejoin.amos.safety.common.entity.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
/**
 * 
 * <pre>
 *  巡检结果
 * </pre>
 *
 * @author amos
 * @version $Id: PatrolCheckDTO.java, v 0.1 2018年12月6日 下午5:03:15 amos Exp $
 */
public class PatrolCheckDTO implements Serializable
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -1417736509422804362L;
	
	// 记录编号
	private int checkID;
	// 巡检人编号
	private int userID;
	// 巡检点id
	private int pointID;
	// 巡检点编号
	private String pointNo;
	// 巡检点名称
	private String pointName;
	// 巡检时间
	private Date checkTime;
	// 地址
	private String address;
	// 巡检状态：合格、不合格、漏检
	private String status;
	// 巡检计划
	private String planName;
	// 巡检人
	private String userName;
	// 电话
	private String telephone;
	// 部门
	private String department;
	// 巡检聚合状态是否改变，如果不改变则只进行规则触发，数据库状态不进行修改
	private Boolean isChangeStatus;
	//巡检项
	private List<PatrolCheckInputDTO> checkInput;
	
	public int getCheckID()
	{
		return checkID;
	}
	public void setCheckID(int checkID)
	{
		this.checkID = checkID;
	}
	public int getUserID()
	{
		return userID;
	}
	public void setUserID(int userID)
	{
		this.userID = userID;
	}
	public int getPointID()
	{
		return pointID;
	}
	public void setPointID(int pointID)
	{
		this.pointID = pointID;
	}
	public String getPointNo()
	{
		return pointNo;
	}
	public void setPointNo(String pointNo)
	{
		this.pointNo = pointNo;
	}
	public Date getCheckTime()
	{
		return checkTime;
	}
	public void setCheckTime(Date checkTime)
	{
		this.checkTime = checkTime;
	}
	public String getAddress()
	{
		return address;
	}
	public void setAddress(String address)
	{
		this.address = address;
	}
	public String getStatus()
	{
		return status;
	}
	public void setStatus(String status)
	{
		this.status = status;
	}
	public String getPointName()
	{
		return pointName;
	}
	public void setPointName(String pointName)
	{
		this.pointName = pointName;
	}
	public String getPlanName()
	{
		return planName;
	}
	public void setPlanName(String planName)
	{
		this.planName = planName;
	}
	public String getUserName()
	{
		return userName;
	}
	public void setUserName(String userName)
	{
		this.userName = userName;
	}
	public String getTelephone()
	{
		return telephone;
	}
	public void setTelephone(String telephone)
	{
		this.telephone = telephone;
	}
	public String getDepartment()
	{
		return department;
	}
	public void setDepartment(String department)
	{
		this.department = department;
	}
	public List<PatrolCheckInputDTO> getCheckInput()
	{
		return checkInput;
	}
	public void setCheckInput(List<PatrolCheckInputDTO> checkInput)
	{
		this.checkInput = checkInput;
	}
	public Boolean getIsChangeStatus()
	{
		return isChangeStatus;
	}
	public void setIsChangeStatus(Boolean isChangeStatus)
	{
		this.isChangeStatus = isChangeStatus;
	}
	
}
