package com.yeejoin.amos.safety.core.remote.service;
import org.typroject.tyboot.core.foundation.context.RequestContext;
import com.yeejoin.amos.component.feign.config.InnerInvokException;
import com.yeejoin.amos.component.feign.model.FeignClientResult;
import com.yeejoin.amos.feign.privilege.Privilege;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import org.springframework.stereotype.Service;


@Service("remoteSecurityService")
public class RemoteSecurityService {

 
   //用户id获取用户信息
    public AgencyUserModel getUserById(String toke,String product,String appKey,String  userId) {
        if (userId == null || userId.equals("")) {
            return null;
        }
         RequestContext.setToken(toke);
    	RequestContext.setProduct(product);
    	RequestContext.setAppKey(appKey);
    	AgencyUserModel agencyUserModel=null;
    	FeignClientResult feignClientResult;
		try {
			feignClientResult = Privilege.agencyUserClient.queryByUserId(userId);
			agencyUserModel = (AgencyUserModel)feignClientResult.getResult();

		} catch (InnerInvokException e) {
			e.printStackTrace();
		}
        return agencyUserModel;
    }
   
}


